API referenceDeal
POST /api/Deal/SoftDelete
This endpoint will soft-delete the Deals with the provided IDs. The Deals will not be removed from the database, but the IsDeleted flag will be set to true. The Deals will not be returned in the future unless the deleted Deals will be restored. The users will be able to see the deleted Deals in the UI in the Trash Can section and restore them if needed.
POST
/api/Deal/SoftDeletecurl -X POST "/api/Deal/SoftDelete" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
Soft Deleted Deals.
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataEtrmApiGateway.DTOs.PortfolioManagement.DealApiResponseDto[] | null
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": [
{
"id": 0,
"externalId": "string",
"name": "string",
"dealClass": 1,
"dealClassName": "string",
"commodity": 0,
"commodityName": "string",
"dealDirection": 1,
"dealDirectionName": "string",
"dealStatus": 10,
"dealStatusName": "string",
"dealDelivery": 1,
"dealDeliveryName": "string",
"timeZoneInfo": 0,
"timeZoneInfoName": "string",
"companyId": 0,
"businessUnitId": 0,
"bookId": 0,
"folderId": 0,
"portfolioId": 0,
"assetId": 0,
"counterPartyId": 0,
"counterPartyName": "string",
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z",
"granularityId": 1,
"granularityName": "string",
"quantity": 0,
"totalQuantity": 0,
"uom": 1,
"uomName": "string",
"profileDataseriesId": 0,
"profiles": [
{
"id": 0,
"timeseriesId": 0,
"name": "string",
"type": 1,
"typeName": "string",
"quantity": 0,
"uom": 1,
"uomName": "string",
"granularity": 1,
"granularityName": "string"
}
],
"priceType": 0,
"priceTypeName": "string",
"priceDataseriesId": 0,
"prices": [
{
"id": 0,
"dealMultiplier": 0,
"dealUpfront": 0,
"dealUpfront2": 0,
"priceDataseriesId": 0,
"priceDataseriesName": "string",
"dealId": 0,
"validFrom": "2026-01-15T09:30:00Z"
}
],
"dealMultiplier": 0,
"dealUpfront": 0,
"dealUpfront2": 0,
"mtmDataseriesId": 0,
"currency": 1,
"currencyName": "string",
"transactionTime": "2026-01-15T09:30:00Z",
"exchangeId": 0,
"traderId": 0,
"masterAgreementId": 0,
"masterAgreementName": "string",
"paymentTermsId": 0,
"paymentTermsName": "string",
"decimalPoints": 0,
"includedInSettlement": true,
"settlementPeriod": -6,
"settlementPeriodName": "string",
"calendar": 1,
"calendarName": "string",
"deliveryDate": "2026-01-15T09:30:00Z",
"consumptionStart": "2026-01-15T09:30:00Z",
"consumptionEnd": "2026-01-15T09:30:00Z",
"productionEntityExternalId": "string",
"consumptionEntityExternalId": "string",
"technology": 0,
"technologyName": "string",
"country": 1,
"countryName": "string",
"counterPartyRegistryAccount": "string",
"amount": 0,
"dealClusterId": 0,
"dealClusterName": "string",
"dealTemplateId": 0,
"dealTemplateName": "string",
"memo": "string",
"memo2": "string"
}
]
}